#!/usr/bin/python
#
# Generate a mailing list from my people XML format e.g. for TAs.xml.
#
# usage: ./admin_mailing_list.py profs.xml TAs.xml

import xml.etree.ElementTree as ET

def mailing_list(filename):
    tree = ET.parse(filename)
    root = tree.getroot()
    addresses = []
    for person in root.findall("person"):
        name = person.findtext("name")
        email = person.findtext("email")
        email = email.replace(" at ", "@")
        email = email.replace(" dot ", ".")
        addresses.append('"%s" <%s>' % (name, email))
    return addresses
        
if __name__ == "__main__":
    import sys

    addresses = []
    for filename in sys.argv[1:]:
        addresses.extend(mailing_list(filename))
    print '\t' + ', \\\n\t'.join(addresses)
